# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# Import by D.M.-Wilhelm (leiche)

Name: 		parallel
Summary:	Shell tool for executing jobs in parallel
Version: 	20150122
Release: 	%mkrel 1
License: 	GPL
Group: 		Shells
URL: 		http://ftp.gnu.org/gnu/parallel/
Source0: 	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildArchitectures: noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%define maketest  0


%description
GNU parallel is a shell tool for executing jobs in parallel using one or
more computers. A job can be a single command or a small script that has
to be run for each of the lines in the input. The typical input is a list
of files, a list of hosts, a list of users, a list of URLs, or a list of
tables. A job can also be a command that reads from a pipe. GNU parallel
can then split the input and pipe it into commands in parallel.

If you use xargs and tee today you will find GNU parallel very easy to use
as GNU parallel is written to have the same options as xargs. If you write
loops in shell, you will find GNU parallel may be able to replace most of
the loops and make them run faster by running several jobs in parallel.

GNU parallel makes sure output from the commands is the same output as you
would get had you run the commands sequentially. This makes it possible to
use output from GNU parallel as input for other programs.

For each line of input GNU parallel will execute command with the line as
arguments. If no command is given, the line of input is executed. Several
lines will be run in parallel. GNU parallel can often be used as a
substitute for xargs or cat | bash. 


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc %{_mandir}/man?/*
%doc README NEWS src/parallel.html src/sem.html src/sql.html src/niceload.html

#------------- build area --------------------------------------


%prep
%setup -q -n %{name}-%{version}


%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


find $RPM_BUILD_ROOT%{_docdir}/ -name "*.html" -o -name "*.texi" -o -name "*.pdf" |xargs -i rm -vf {}

%check
%if %maketest
%{__make} test
%endif


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Jan 27 2015 daniel <meisssw01 at gmail.com> 20150122-1pclos2015
- upstream tarball

* Sun Mar 16 2014 bb <bb> 20140222-2pclos2014
- change rpmgroup to Shells
- use configure2_5x macro
- use makeinstall_std macro

* Sun Feb 23 2014 daniel <meisssw01 at gmail.com> 20140222-1free2014
- upstream tarball

* Sun Nov 17 2013 daniel <meisssw01 at gmail.com> 20131022-1free2013
- inital package
